import QtQuick 2.4
import QtQuick 2.4
import QtQuick.Window 2.2
import QtQuick.Controls 1.3

ApplicationWindow {
    visible: true

    menuBar: MenuBar {
        Menu {
            title: qsTr("&File")
            MenuItem {
                text: qsTr("&Trigger")
                onTriggered: content.load();
            }
        }
    }

    Rectangle {
        id: content
        anchors.fill: parent
        property variant sprite

        function load() {
            if(content.sprite != null)
                content.sprite.destroy();
            var component = Qt.createComponent("qrc:/Test.qml");
            if (component.status == Component.Error)
             { console.log(component.errorString()); }
            sprite = component.createObject(content, {"anchors.fill": content});

            if (content.sprite == null) {
                // Error Handling
                console.log("Error creating object");
            } else {
                // load menu and stuff
            }
        }
    }
}
